# OBS! M4 processed!
`
CHAIN=growisofs dvd+rw-format dvd+rw-booktype dvd+rw-mediainfo

dvd+rw-tools:	$(CHAIN)

WARN=#-Wall	# developers are welcomed to build with `make WARN=-Wall'
CC=gcc
CFLAGS=$(WARN) -O2
CXX=g++
CXXFLAGS=$(WARN) -O2 -fno-exceptions
'
ifelse(OS,NetBSD,`define(`OS',`BSD')')
ifelse(OS,OpenBSD,`define(`OS',`BSD')')
ifelse(OS,FreeBSD,`define(`OS',`BSD')LDLIBS=-lcam')
ifelse(OS,BSD,`
#
# OpenBSD/NetBSD/FreeBSD section
#
.SUFFIXES: .c .cpp .o

.c.o:
	$(CC) $(CFLAGS) -c -o $@ $<
.cpp.o:
	$(CXX) $(CXXFLAGS) -c -o $@ $<
.o:	# try to please both BSD vv&vv GNU make at the same time...
	$(CXX) $(CXXFLAGS) -o $@ $> $^ $(LDFLAGS) $(LDLIBS)

install:	dvd+rw-tools
	install -o root -m 04755 $(CHAIN) /usr/local/bin
')
ifelse(OS,SunOS,`
#
# Solaris section
#
.SUFFIXES: .c .cpp .o

#CC=cc
#CFLAGS=-O -xstrconst
#CXX=CC
#CXXFLAGS=-O -features=no%except,conststrings

LDLIBS=-lvolmgt

.c.o:
	$(CC) $(CFLAGS) -c -o $@ $<
.cpp.o:
	$(CXX) $(CXXFLAGS) -c -o $@ $<
%:	%.o
	$(CXX) $(CXXFLAGS) -o $@ $^ $(LDFLAGS) $(LDLIBS)

install:	dvd+rw-tools
	install -o root -m 04755 $(CHAIN) /usr/local/bin
')
ifelse(OS,Linux,`
#
# Linux section
#
LINK.o=$(LINK.cc)

install:	dvd+rw-tools
	cp -a $(CHAIN) /usr/local/bin
')
# common section
`
growisofs:		growisofs_mmc.o growisofs.o
growisofs.o:		growisofs.c
growisofs_mmc.o:	growisofs_mmc.cpp transport.hxx

dvd+rw-format:		dvd+rw-format.o
dvd+rw-format.o:	dvd+rw-format.cpp transport.hxx

dvd+rw-mediainfo:	dvd+rw-mediainfo.o
dvd+rw-mediainfo.o:	dvd+rw-mediainfo.cpp transport.hxx

dvd+rw-booktype:	dvd+rw-booktype.o
dvd+rw-booktype.o:	dvd+rw-booktype.cpp transport.hxx

rpl8:			rpl8.o
rpl8.o:			rpl8.cpp transport.hxx
+rpl8:			rpl8
#so that I can invoke `make +rpl8' to build rpl8...
'
